## e17 0.22.4

=== meson_options.txt ===
option('install-sysactions',
	type: 'boolean',
	value: true,
	description: 'install /etc/enlightenment/sysactions.conf: (default=true)')
option('install-enlightenment-menu',
	type: 'boolean',
	value: true,
	description: 'install /etc/xdg/menus/e-applications.menu: (default=true)')
option('files',
	type: 'boolean',
	value: true,
	description: 'enable Files menu item: (default=true)')
option('nls',
	type: 'boolean',
	value: true,
	description: 'enable localization: (default=true)')

option('edje-cc',
       type       : 'string',
       description: 'A path to a edje_cc. Defaults to system edje_cc')

option('eldbus-codegen',
       type       : 'string',
       description: 'A path to a eldbus-codegen. Defaults to system eldbus-codegen')

option('eet',
       type       : 'string',
       description: 'A path to a eet. Defaults to system eet')

option('pam',
	type: 'boolean',
	value: true,
	description: 'enable PAM support: (default=true)')

option('device-udev',
	type: 'boolean',
	value: true,
	description: 'enable udev device backend: (default=true)')
option('mount-udisks',
	type: 'boolean',
	value: true,
	description: 'enable udisks mounting support: (default=true)')
option('mount-eeze',
	type: 'boolean',
	value: false,
	description: 'enable eeze mounting support: (default=false)')

option('wayland',
	type: 'boolean',
	value: false,
	description: 'enable wayland support: (default=false)')
option('xwayland',
	type: 'boolean',
	value: true,
	description: 'enable xwayland support: (default=true)')
option('xwayland-bin',
	type: 'string',
	value: '',
	description: 'set the path to Xwayland: (default=)')
option('wl-buffer',
	type: 'boolean',
	value: true,
	description: 'enable buffer wayland output: (default=true)')
option('wl-drm',
	type: 'boolean',
	value: true,
	description: 'enable drm wayland output: (default=true)')
option('wl-wl',
	type: 'boolean',
	value: true,
	description: 'enable nested wayland output: (default=true)')
option('wl-x11',
	type: 'boolean',
	value: true,
	description: 'enable x11 wayland output: (default=true)')
option('wl-desktop-shell',
	type: 'boolean',
	value: true,
	description: 'enable wayland desktop shell support: (default=true)')
option('wl-text-input',
	type: 'boolean',
	value: true,
	description: 'enable wayland vkbd support: (default=true)')
option('wl-weekeyboard',
	type: 'boolean',
	value: true,
	description: 'enable internal wayland vkbd: (default=true)')

option('systemd',
	type: 'boolean',
	value: true,
	description: 'enable systemd support: (default=true)')
option('systemdunitdir',
	type: 'string',
	value: '',
	description: 'path to systemd user services directory')

option('appmenu',
	type: 'boolean',
	value: true,
	description: 'enable appmenu module: (default=true)')
option('backlight',
	type: 'boolean',
	value: true,
	description: 'enable backlight module: (default=true)')
option('battery',
	type: 'boolean',
	value: true,
	description: 'enable battery module: (default=true)')
option('bluez4',
	type: 'boolean',
	value: true,
	description: 'enable bluez4 module: (default=true)')
option('clock',
	type: 'boolean',
	value: true,
	description: 'enable clock module: (default=true)')
option('connman',
	type: 'boolean',
	value: true,
	description: 'enable connman module: (default=true)')
option('cpufreq',
	type: 'boolean',
	value: true,
	description: 'enable cpufreq module: (default=true)')
option('everything',
	type: 'boolean',
	value: true,
	description: 'enable everything module: (default=true)')
option('fileman',
	type: 'boolean',
	value: true,
	description: 'enable fileman module: (default=true)')
option('fileman-opinfo',
	type: 'boolean',
	value: true,
	description: 'enable fileman-opinfo module: (default=true)')
option('gadman',
	type: 'boolean',
	value: true,
	description: 'enable gadman module: (default=true)')
option('geolocation',
	type: 'boolean',
	value: true,
	description: 'enable geolocation module: (default=true)')
option('ibar',
	type: 'boolean',
	value: true,
	description: 'enable ibar module: (default=true)')
option('ibox',
	type: 'boolean',
	value: true,
	description: 'enable ibox module: (default=true)')
option('lokker',
	type: 'boolean',
	value: true,
	description: 'enable lokker module: (default=true)')
option('luncher',
	type: 'boolean',
	value: true,
	description: 'enable luncher module: (default=true)')
option('mixer',
	type: 'boolean',
	value: true,
	description: 'enable mixer module: (default=true)')
option('msgbus',
	type: 'boolean',
	value: true,
	description: 'enable msgbus module: (default=true)')
option('music-control',
	type: 'boolean',
	value: true,
	description: 'enable music-control module: (default=true)')
option('notification',
	type: 'boolean',
	value: true,
	description: 'enable notification module: (default=true)')
option('packagekit',
	type: 'boolean',
	value: true,
	description: 'enable packagekit module: (default=true)')
option('pager',
	type: 'boolean',
	value: true,
	description: 'enable pager module: (default=true)')
option('pager-plain',
	type: 'boolean',
	value: true,
	description: 'enable pager_plain module: (default=true)')
option('quickaccess',
	type: 'boolean',
	value: true,
	description: 'enable quickaccess module: (default=true)')
option('start',
	type: 'boolean',
	value: true,
	description: 'enable start module: (default=true)')
option('shot',
	type: 'boolean',
	value: true,
	description: 'enable shot module: (default=true)')
option('syscon',
	type: 'boolean',
	value: true,
	description: 'enable syscon module: (default=true)')
option('sysinfo',
	type: 'boolean',
	value: true,
	description: 'enable sysinfo module: (default=true)')
option('systray',
	type: 'boolean',
	value: true,
	description: 'enable systray module: (default=true)')
option('tasks',
	type: 'boolean',
	value: true,
	description: 'enable tasks module: (default=true)')
option('teamwork',
	type: 'boolean',
	value: true,
	description: 'enable teamwork module: (default=true)')
option('temperature',
	type: 'boolean',
	value: true,
	description: 'enable temperature module: (default=true)')
option('tiling',
	type: 'boolean',
	value: true,
	description: 'enable tiling module: (default=true)')
option('time',
	type: 'boolean',
	value: true,
	description: 'enable time module: (default=true)')
option('winlist',
	type: 'boolean',
	value: true,
	description: 'enable winlist module: (default=true)')
option('wireless',
	type: 'boolean',
	value: true,
	description: 'enable wireless module: (default=true)')
option('wizard',
	type: 'boolean',
	value: true,
	description: 'enable wizard module: (default=true)')
option('xkbswitch',
	type: 'boolean',
	value: true,
	description: 'enable xkbswitch module: (default=true)')
option('vkbd',
	type: 'boolean',
	value: true,
	description: 'enable vkbd module: (default=true)')


option('conf',
	type: 'boolean',
	value: true,
	description: 'enable conf module: (default=true)')
option('conf-applications',
	type: 'boolean',
	value: true,
	description: 'enable conf-applications module: (default=true)')
option('conf-bindings',
	type: 'boolean',
	value: true,
	description: 'enable conf-bindings module: (default=true)')
option('conf-dialogs',
	type: 'boolean',
	value: true,
	description: 'enable conf-dialogs module: (default=true)')
option('conf-display',
	type: 'boolean',
	value: true,
	description: 'enable conf-display module: (default=true)')
option('conf-interaction',
	type: 'boolean',
	value: true,
	description: 'enable conf-interaction module: (default=true)')
option('conf-intl',
	type: 'boolean',
	value: true,
	description: 'enable conf-intl module: (default=true)')
option('conf-menus',
	type: 'boolean',
	value: true,
	description: 'enable conf-menus module: (default=true)')
option('conf-paths',
	type: 'boolean',
	value: true,
	description: 'enable conf-paths module: (default=true)')
option('conf-performance',
	type: 'boolean',
	value: true,
	description: 'enable conf-performance module: (default=true)')
option('conf-randr',
	type: 'boolean',
	value: true,
	description: 'enable conf-randr module: (default=true)')
option('conf-shelves',
	type: 'boolean',
	value: true,
	description: 'enable conf-shelves module: (default=true)')
option('conf-theme',
	type: 'boolean',
	value: true,
	description: 'enable conf-theme module: (default=true)')
option('conf-window-manipulation',
	type: 'boolean',
	value: true,
	description: 'enable conf-window-manipulation module: (default=true)')
option('conf-window-remembers',
	type: 'boolean',
	value: true,
	description: 'enable conf-window-remembers module: (default=true)')

=== debian/changelog ===
e17 (0.22.4-2) unstable; urgency=medium

  * d/p/10_fix_filemanager_handling.diff: Don't set x-scheme-handler/file
    for File manager app.  Closes: #917126

 -- Ross Vandegrift <ross@kallisti.us>  Tue, 15 Jan 2019 20:10:18 -0800

e17 (0.22.4-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat v11
  * Bump Standards-Version to 4.2.1, no changes required.
  * d/copyright: update for 0.22.4, add a missing email.

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 09 Sep 2018 15:25:44 -0700

=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
	   Jan Lübbe <jluebbe@debian.org>,
	   Ross Vandegrift <ross@kallisti.us>,
	   Andreas Metzler <ametzler@debian.org>
Build-Depends: connman-dev,
	       debhelper (>= 11),
	       libasound2-dev,
	       libbluetooth-dev,
	       libecore-bin (>= 1.20.5),
	       libeet-bin,
	       libefl-all-dev (>= 1.20.5),
	       libpam0g-dev,
	       libxcb-keysyms1-dev,
	       libxcb-shape0-dev,
	       libxext-dev,
	       meson,
	       systemd
Build-Depends-Indep: doxygen
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: enlightenment
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	 default-dbus-session-bus | dbus-session-bus,
	 enlightenment-data (= ${source:Version}),
	 libedje-bin,
	 libevas1-engines-x
Recommends: pm-utils,
	    terminology | x-terminal-emulator
Provides: x-window-manager
Description: X11 window manager based on EFL
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment.

Package: enlightenment-data
Architecture: all
Depends: ${misc:Depends}
Enhances: enlightenment
Conflicts: enlightenment-data
Description: X11 window manager based on EFL - run time data files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment Window Manager.

Package: enlightenment-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, enlightenment (= ${binary:Version}),
	 libefl-all-dev (>= 1.20.5)
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

Package: e17
Architecture: all
Section: oldlibs
Depends: enlightenment (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional e17 package
 This is a transitional dummy package to ease the migration from e17
 to enlightenment.  You can safely remove this package.

Package: e17-data
Architecture: all
Section: oldlibs
Depends: enlightenment-data (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional e17-data package
 This is a transitional dummy package to ease the migration from e17-data
 to enlightenment-data.  You can safely remove this package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
RELEASE=$(shell grep '^release' meson.build | cut -d'=' -f2- | xargs echo)
ARCH_PATH=$(DEB_HOST_GNU_SYSTEM)-$(DEB_HOST_GNU_CPU)-$(RELEASE)

%:
	dh $@ --without autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure --verbose

override_dh_auto_build:
	$(CURDIR)/debian/fake_home.sh \
		dh_auto_build -O--buildsystem=meson --verbose

override_dh_lintian:
	sed -e "s/MULTIARCH/$(DEB_TARGET_MULTIARCH)/" \
		-e "s/ARCH_PATH/$(ARCH_PATH)/" \
		debian/enlightenment.lintian-overrides.in > debian/enlightenment.lintian-overrides
	dh_lintian

override_dh_install:
	gzip -9n debian/tmp/usr/share/enlightenment/doc/*.txt
	rm debian/tmp/usr/share/enlightenment/COPYING
	rm debian/tmp/usr/share/enlightenment/AUTHORS
	rm debian/tmp/usr/lib/systemd/user/enlightenment.service
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/modules/cpufreq/*/freqset
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_backlight \
		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_ckpasswd

override_dh_clean:
	dh_clean
	rm -f debian/enlightenment.lintian-overrides

## e17 0.23.0

=== debian/changelog ===
e17 (0.23.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Aug 2019 10:27:31 -0700

e17 (0.23.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches/03_test_pt_getsiginfo.diff: defuzz
  * Drop transitional packages after buster release.
  * d/copyright: update
  * Update location for example enlightenemnt systemd unit
  * d/gbp.conf: drop cleaner for salsa-ci support
  * d/gbp.conf: simplify, switch to experimental
  * Switch to debhelper 12, compat level 12, and simplify rules.
  * d/copyright: drop unused info after autotools removal
  * d/rules: pull the arch-specific module path from config.h
  * d/control:
    + bump Standards-Version to 4.4.0, no changes needed.
    + Switch to my debian email
    + bump EFL requirement to 1.22.3
    + drop libecore-bin Build-Dep version, libefl-all-bin will pull in the
      right version
    + drop pm-utils recommends, systemctl is used to control power
    + Update recommends list from notes in upstream README
    + suggest gdb, since it's only needed for backtrace generation

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 25 Aug 2019 17:52:25 -0700

=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
	   Jan Lübbe <jluebbe@debian.org>,
	   Ross Vandegrift <rvandegrift@debian.org>,
	   Andreas Metzler <ametzler@debian.org>
Build-Depends: connman-dev,
	       debhelper-compat (= 12),
	       libasound2-dev,
	       libbluetooth-dev,
	       libecore-bin,
	       libeet-bin,
	       libefl-all-dev (>= 1.22.3),
	       libpam0g-dev,
	       libxcb-keysyms1-dev,
	       libxcb-shape0-dev,
	       libxext-dev,
	       meson,
	       systemd
Build-Depends-Indep: doxygen
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: enlightenment
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	 default-dbus-session-bus | dbus-session-bus,
	 enlightenment-data (= ${source:Version}),
	 libedje-bin,
	 libevas1-engines-x,
     acpid,
     bc,
     bluez,
     libevas-loaders,
     packagekit,
     terminology | x-terminal-emulator,
     udisks2
Suggests: gdb
Provides: x-window-manager
Description: X11 window manager based on EFL
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment.

Package: enlightenment-data
Architecture: all
Depends: ${misc:Depends}
Enhances: enlightenment
Conflicts: enlightenment-data
Description: X11 window manager based on EFL - run time data files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment Window Manager.

Package: enlightenment-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, enlightenment (= ${binary:Version}),
	 libefl-all-dev (>= 1.22.3)
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_TARGET_MULTIARCH ?= $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
export MESON_BUILD_DIR=obj-$(DEB_HOST_GNU_TYPE)


%:
	dh $@

override_dh_auto_build:
	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose

override_dh_lintian:
	# meson puts the arch-specific module dir in config.h
	E_MODULE_ARCH=`awk '/MODULE_ARCH/{print $$3}' $(MESON_BUILD_DIR)/config.h | xargs echo`; \
	sed -e "s/MULTIARCH/$(DEB_TARGET_MULTIARCH)/" \
		-e "s/ARCH_PATH/$$E_MODULE_ARCH/" \
		debian/enlightenment.lintian-overrides.in > debian/enlightenment.lintian-overrides
	dh_lintian

override_dh_install:
	gzip -9n debian/tmp/usr/share/enlightenment/doc/*.txt
	rm debian/tmp/usr/share/enlightenment/COPYING
	rm debian/tmp/usr/share/enlightenment/AUTHORS
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/modules/cpufreq/*/freqset
	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_backlight \
		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_ckpasswd

override_dh_clean:
	dh_clean
	rm -f debian/enlightenment.lintian-overrides

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## e17 0.23.1

=== meson_options.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	value: false,
 	description: 'enable eeze mounting support: (default=false)')
 
-option('wayland',
+option('wl',
 	type: 'boolean',
 	value: false,
 	description: 'enable wayland support: (default=false)')
@@ -111,6 +111,10 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable bluez4 module: (default=true)')
+option('bluez5',
+	type: 'boolean',
+	value: true,
+	description: 'enable bluez5 module: (default=true)')
 option('clock',
 	type: 'boolean',
 	value: true,

=== debian/changelog ===
e17 (0.23.1-4) unstable; urgency=medium

  * Upload to unstable
  * d/gbp.conf: update config to point to debian/sid branch.
  * d/control: update to Standards-Version 4.5.0, no changes needed.
  * d/control: only Build-Depend on bluez for linux.

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 29 Jan 2020 22:23:26 -0800

e17 (0.23.1-3) experimental; urgency=low

  * add missing uuid-dev Build-Depends
  * add Build-Depends on bluez and rfkill so meson can find the right
    paths for l2ping and rfkill
  * Depend on wayland and drm engines so wayland works out of the box
  * d/control: wrap-and-sort -tvs

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 26 Dec 2019 17:27:51 -0800

e17 (0.23.1-2) experimental; urgency=medium

  * Update Forwarded field on forwarded patches
  * Enable wayland during build, requires EFL >=1.23.
  * enlightenment-data: re-add AUTHORS, About uses this at runtime

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 16 Nov 2019 13:39:37 -0800

e17 (0.23.1-1) experimental; urgency=medium

  * New upstream release.

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 29 Sep 2019 13:17:27 -0700

=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders:
 Albin Tonnerre <lutin@debian.org>,
 Jan Lübbe <jluebbe@debian.org>,
 Ross Vandegrift <rvandegrift@debian.org>,
 Andreas Metzler <ametzler@debian.org>,
Build-Depends:
 bluez [linux-any],
 connman-dev,
 debhelper-compat (= 12),
 libasound2-dev,
 libbluetooth-dev,
 libecore-bin,
 libeet-bin,
 libefl-all-dev (>= 1.23.0),
 libpam0g-dev,
 libxcb-keysyms1-dev,
 libxcb-shape0-dev,
 libxext-dev,
 libxkbcommon-x11-dev,
 meson,
 rfkill,
 systemd,
 uuid-dev,
 wayland-protocols,
 xwayland,
Build-Depends-Indep: doxygen
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: enlightenment
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 enlightenment-data (= ${source:Version}),
 libedje-bin,
 libevas1-engines-drm,
 libevas1-engines-wayland,
 libevas1-engines-x,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 acpid,
 bc,
 bluez,
 libevas-loaders,
 packagekit,
 terminology | x-terminal-emulator,
 udisks2,
Suggests: gdb
Provides: x-window-manager
Description: X11 window manager based on EFL
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment.

Package: enlightenment-data
Architecture: all
Depends: ${misc:Depends}
Enhances: enlightenment
Conflicts: enlightenment-data
Description: X11 window manager based on EFL - run time data files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment Window Manager.

Package: enlightenment-dev
Architecture: any
Section: devel
Depends:
 enlightenment (= ${binary:Version}),
 libefl-all-dev (>= 1.23.0),
 ${misc:Depends},
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure --verbose -- \
+		-Dwl=true
 
 override_dh_auto_build:
 	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose
@@ -24,7 +28,6 @@
 override_dh_install:
 	gzip -9n debian/tmp/usr/share/enlightenment/doc/*.txt
 	rm debian/tmp/usr/share/enlightenment/COPYING
-	rm debian/tmp/usr/share/enlightenment/AUTHORS
 	dh_install
 
 override_dh_missing:
@@ -40,6 +43,3 @@
 override_dh_clean:
 	dh_clean
 	rm -f debian/enlightenment.lintian-overrides
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## e17 0.24.1

=== debian/changelog ===
e17 (0.24.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.
  * Make recommended packages dependencies for MX.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Jul 2020 08:55:41 -0700

e17 (0.24.1-1) experimental; urgency=medium

  * New upstream release.
  * Update lintian tag after rename

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 08 Jun 2020 22:35:49 -0700

e17 (0.24.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #951117)
  * Drop patches applied upstream.
    + 05_fix_enlightenment_remote_bashism.diff
    + 10_fix_filemanager_handling.diff
    + 0005-err-logs-fix-up-some-of-the-err-logs-i-see-accessing.patch
    + 0006-silence-another-ERR-log-with-invalid-obj-type.patch
  * enlightenment: new single setuid binary to replace many.
    Upstream added this to keep the number of setuid helpers to a minimum.
  * d/control: Build-Depends on efl >= 1.24.1
  * Update moved installation paths
  * silence incorrect lintian warnings
  * d/copyright: update
  * silence lintian warning regarding upstream header
  * simplify module installation
  * Switch to debhelper compat 13

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 19 May 2020 23:08:55 -0700

e17 (0.23.1-5) unstable; urgency=medium

  * d/gbp.conf: enable ignore-branch to make future switching between sid and
    experimental easier.
  * d/p/000[56]-*.patch: pull in upstream changes to quiet down logs.
    (Closes: #952403)

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 29 Feb 2020 14:24:48 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: e17
 Section: x11
 Priority: optional
-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders:
  Albin Tonnerre <lutin@debian.org>,
  Jan Lübbe <jluebbe@debian.org>,
@@ -15,7 +16,7 @@
  libbluetooth-dev,
  libecore-bin,
  libeet-bin,
- libefl-all-dev (>= 1.23.0),
+ libefl-all-dev (>= 1.24.1),
  libpam0g-dev,
  libxcb-keysyms1-dev,
  libxcb-shape0-dev,
@@ -45,7 +46,7 @@
  libevas1-engines-x,
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
+# Recommends:
  acpid,
  bc,
  bluez,

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,6 @@
 override_dh_auto_configure:
 	dh_auto_configure --verbose -- \
 		-Dwl=true
-
-override_dh_auto_build:
-	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose
 
 override_dh_lintian:
 	# meson puts the arch-specific module dir in config.h
@@ -35,11 +32,13 @@
 
 override_dh_fixperms-arch:
 	dh_fixperms
-	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys
-	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/modules/cpufreq/*/freqset
-	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_backlight \
+	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys \
+		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_system \
 		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_ckpasswd
 
 override_dh_clean:
 	dh_clean
 	rm -f debian/enlightenment.lintian-overrides
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## e17 0.24.2

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
 	type: 'boolean',
 	value: true,
 	description: 'install /etc/enlightenment/sysactions.conf: (default=true)')
+option('install-system',
+	type: 'boolean',
+	value: true,
+	description: 'install /etc/enlightenment/system.conf: (default=true)')
 option('install-enlightenment-menu',
 	type: 'boolean',
 	value: true,
@@ -107,10 +111,6 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable battery module: (default=true)')
-option('bluez4',
-	type: 'boolean',
-	value: true,
-	description: 'enable bluez4 module: (default=true)')
 option('bluez5',
 	type: 'boolean',
 	value: true,
@@ -159,6 +159,10 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable lokker module: (default=true)')
+option('polkit',
+	type: 'boolean',
+	value: true,
+	description: 'enable polkit module: (default=true)')
 option('luncher',
 	type: 'boolean',
 	value: true,

=== debian/changelog ===
e17 (0.24.2-8+deb11u1) bullseye-security; urgency=medium

  * d/gbp.conf: set debian branch to debian/bullseye
  * d/p/0005-enlightenment_sys-fix-security-hole-CVE-2022-37706.patch:
    cherry-pick fix for CVE-2022-37706

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 16 Sep 2022 22:27:41 -0700

e17 (0.24.2-8) unstable; urgency=medium

  * d/p/0004-ddc-add-libddcutil.so.3-as-supported-as-it-is-compat.patch:
    cherry-pick fix for libddcutil.so.3.  Thanks to Sebastian Ramacher.

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 25 May 2021 22:27:31 -0700

e17 (0.24.2-7) unstable; urgency=medium

  * d/control: Recommend libddcutil3 instead of libddcutil2 which isn't in
    bullseye

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 02 May 2021 22:02:56 -0700

e17 (0.24.2-6) unstable; urgency=medium

  * Recommend libddcutil2 and update NEWS with backlight control info
  * d/p/03_test_pt_getsiginfo.diff: drop patch for hurd, efl is only built
    on linux
  * d/p/04_evry_fix_default_path_for_terminal.diff: set forwarded to
    not-needed, local change for alternatives
  * d/control: bump Standards-Version to 4.5.1, no changes needed

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 01 Jan 2021 14:29:49 -0800

e17 (0.24.2-5) unstable; urgency=medium

  * Upload to unstable, no further changes.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 10 Aug 2020 21:59:39 -0700

e17 (0.24.2-4) experimental; urgency=medium

  * Recombine arch & indep build steps.  Fixes FTBFS without -A or -B.
    (Closes: #968030)

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 06 Aug 2020 22:20:31 -0700

e17 (0.24.2-3) experimental; urgency=medium

  * d/rules: cleanup files when building with -A/-B to fix dh_missing
    failures.

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 04 Aug 2020 22:21:17 -0700

e17 (0.24.2-2) experimental; urgency=medium

  * d/p/0003-Avoid-using-mips-as-a-variable.patch: Fixes FTBFS on mipsel &
    mips64el.
  * d/rules:
    + adopt execute_before/after rules
    + resize emixer icon to 128x128 before install
    + move enlightenment-data compression to dh_install-indep

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 04 Aug 2020 19:34:57 -0700

e17 (0.24.2-1) experimental; urgency=medium

  * New upstream release.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 27 Jul 2020 22:48:20 -0700

e17 (0.24.1-2) experimental; urgency=medium

  * d/control:
    + Build-Conflicts on systemctl to workaround #959828 (Closes: #965107)
    + add Suggests: x-display-manager (Closes: #958455)

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 17 Jul 2020 23:04:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: e17
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders:
  Albin Tonnerre <lutin@debian.org>,
  Jan Lübbe <jluebbe@debian.org>,
  Ross Vandegrift <rvandegrift@debian.org>,
  Andreas Metzler <ametzler@debian.org>,
+Build-Conflicts: systemctl
 Build-Depends:
  bluez [linux-any],
  connman-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ imagemagick,
  libasound2-dev,
  libbluetooth-dev,
  libecore-bin,
@@ -29,7 +30,7 @@
  wayland-protocols,
  xwayland,
 Build-Depends-Indep: doxygen
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
 Homepage: https://www.enlightenment.org
@@ -46,15 +47,16 @@
  libevas1-engines-x,
  ${misc:Depends},
  ${shlibs:Depends},
-# Recommends:
+Recommends:
  acpid,
  bc,
  bluez,
+ libddcutil3,
  libevas-loaders,
  packagekit,
  terminology | x-terminal-emulator,
  udisks2,
-Suggests: gdb
+Suggests: gdb, x-display-manager
 Provides: x-window-manager
 Description: X11 window manager based on EFL
  Enlightenment is an advanced window manager for X11. Unique

=== debian/rules ===
--- 
+++ 
@@ -14,31 +14,22 @@
 	dh_auto_configure --verbose -- \
 		-Dwl=true
 
-override_dh_lintian:
+execute_before_dh_lintian:
 	# meson puts the arch-specific module dir in config.h
 	E_MODULE_ARCH=`awk '/MODULE_ARCH/{print $$3}' $(MESON_BUILD_DIR)/config.h | xargs echo`; \
 	sed -e "s/MULTIARCH/$(DEB_TARGET_MULTIARCH)/" \
 		-e "s/ARCH_PATH/$$E_MODULE_ARCH/" \
 		debian/enlightenment.lintian-overrides.in > debian/enlightenment.lintian-overrides
-	dh_lintian
 
-override_dh_install:
+execute_before_dh_install:
+	rm -f debian/tmp/usr/share/enlightenment/COPYING
 	gzip -9n debian/tmp/usr/share/enlightenment/doc/*.txt
-	rm debian/tmp/usr/share/enlightenment/COPYING
-	dh_install
+	convert -resize 128x128 debian/tmp/usr/share/icons/hicolor/128x128/apps/emixer.png debian/tmp/usr/share/icons/hicolor/128x128/apps/emixer.png
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_fixperms-arch:
-	dh_fixperms
+execute_after_dh_fixperms-arch:
 	chmod 4755 debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_sys \
 		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_system \
 		debian/enlightenment/usr/lib/*/enlightenment/utils/enlightenment_ckpasswd
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -f debian/enlightenment.lintian-overrides
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
opts="filenamemangle=s/enlightenment-(.*).tar.gz/e17-$1\.tar\.gz/, uversionmangle=s/-/~/" \
https://download.enlightenment.org/rel/apps/enlightenment/enlightenment-(.*)\.tar\.xz

## e17 0.25.1

=== debian/changelog ===
e17 (0.25.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Feb 2022 15:30:19 -0800

e17 (0.25.1-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: update to version 4, simplify
  * d/patches:
    + 04_evry_fix_default_path_for_terminal.diff: update for 0.25.1
    + 0004-ddc-add-libddcutil.so.3-as-supported-as-it-is-compat.patch: drop,
      applied upstream
    + 0003-0008*: cherry-pick post 0.25 fixes for focus issues
  * d/control:
    + bump required EFL to 1.26
    + new Build-Depends on libexif-dev
    + update Recommends for libddcutil4
    + bump standard version, no changes needed
  * Add lintian overrides:
    + some lookup table data is misidentified as docs
    + some fonts aren't worth moving out of arch-specific dirs

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 23 Jan 2022 14:55:53 -0800

=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>,
           Jan Lübbe <jluebbe@debian.org>,
           Ross Vandegrift <rvandegrift@debian.org>,
           Andreas Metzler <ametzler@debian.org>
Build-Conflicts: systemctl
Build-Depends: bluez [linux-any],
               connman-dev,
               debhelper-compat (= 13),
               imagemagick,
               libasound2-dev,
               libbluetooth-dev,
               libecore-bin,
               libeet-bin,
               libefl-all-dev (>= 1.26.0),
               libexif-dev,
               libpam0g-dev,
               libxcb-keysyms1-dev,
               libxcb-shape0-dev,
               libxext-dev,
               libxkbcommon-x11-dev,
               meson,
               rfkill,
               systemd,
               uuid-dev,
               wayland-protocols,
               xwayland
Build-Depends-Indep: doxygen
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: enlightenment
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         enlightenment-data (= ${source:Version}),
         libedje-bin,
         libevas1-engines-drm,
         libevas1-engines-wayland,
         libevas1-engines-x,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: acpid,
            bc,
            bluez,
            libddcutil4 | libddcutil3,
            libevas-loaders,
            packagekit,
            terminology | x-terminal-emulator,
            udisks2
Suggests: gdb, x-display-manager
Provides: x-window-manager
Description: X11 window manager based on EFL
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment.

Package: enlightenment-data
Architecture: all
Depends: ${misc:Depends}
Enhances: enlightenment
Conflicts: enlightenment-data
Description: X11 window manager based on EFL - run time data files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment Window Manager.

Package: enlightenment-dev
Architecture: any
Section: devel
Depends: enlightenment (= ${binary:Version}),
         libefl-all-dev (>= 1.23.0),
         ${misc:Depends}
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

=== debian/rules ===
--- 
+++ 
@@ -33,3 +33,7 @@
 
 execute_after_dh_clean:
 	rm -f debian/enlightenment.lintian-overrides
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## e17 0.25.3

=== debian/changelog ===
e17 (0.25.3-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 May 2022 15:26:50 -0700

e17 (0.25.3-1) unstable; urgency=medium

  * New upstream release.

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 10 Feb 2022 21:50:52 -0800

e17 (0.25.2-1) unstable; urgency=medium

  * Revert "d/gbp.conf: enable ignore-branch to make future switching
    between sid and experimental easier."  It's too easy to forget
    --debian-branch on import-orig.
  * d/patches:
    + drop, applied upstream:
      - 0003-e_client-revert-focus-instead-of-setting-it-to-NULL.patch
      - 0004-add-forgotten-header-define.patch
      - 0005-e-focus-fix-previous-commit-segv-on-no-windows-left.patch
      - 0007-focus-do-not-revert-to-another-client-when-client-is.patch
      - 0008-focus-leave-frame-focus-setting-here.patch
    + drop, upstream replaced with a different fix:
      - 0006-e-focus-volume-dont-allow-obj-focus-that-disturbs-th.patch
    + defuzz:
      - 0003-Avoid-using-mips-as-a-variable.patch: defuzz

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 07 Feb 2022 21:54:42 -0800

=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
          libevas1-engines-wayland,
          libevas1-engines-x,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: acpid,
+         ${shlibs:Depends},
+            acpid,
             bc,
             bluez,
             libddcutil4 | libddcutil3,

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,5 @@
 execute_after_dh_clean:
 	rm -f debian/enlightenment.lintian-overrides
 
-# MX don't need no stinkin' dbgsyms
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## e17 0.25.4

=== meson_options.txt ===
--- 
+++ 
@@ -35,6 +35,15 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable PAM support: (default=true)')
+option('libexif',
+	type: 'boolean',
+	value: true,
+	description: 'enable EXIF support: (default=true)')
+
+option('elput',
+       type: 'boolean',
+       value: true,
+       description: 'enable elput support: (default=true)')
 
 option('device-udev',
 	type: 'boolean',
@@ -163,10 +172,6 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable polkit module: (default=true)')
-option('luncher',
-	type: 'boolean',
-	value: true,
-	description: 'enable luncher module: (default=true)')
 option('mixer',
 	type: 'boolean',
 	value: true,
@@ -191,10 +196,6 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable pager module: (default=true)')
-option('pager-plain',
-	type: 'boolean',
-	value: true,
-	description: 'enable pager_plain module: (default=true)')
 option('quickaccess',
 	type: 'boolean',
 	value: true,
@@ -211,10 +212,6 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable syscon module: (default=true)')
-option('sysinfo',
-	type: 'boolean',
-	value: true,
-	description: 'enable sysinfo module: (default=true)')
 option('systray',
 	type: 'boolean',
 	value: true,
@@ -223,10 +220,6 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable tasks module: (default=true)')
-option('teamwork',
-	type: 'boolean',
-	value: true,
-	description: 'enable teamwork module: (default=true)')
 option('temperature',
 	type: 'boolean',
 	value: true,
@@ -235,18 +228,10 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable tiling module: (default=true)')
-option('time',
-	type: 'boolean',
-	value: true,
-	description: 'enable time module: (default=true)')
 option('winlist',
 	type: 'boolean',
 	value: true,
 	description: 'enable winlist module: (default=true)')
-option('wireless',
-	type: 'boolean',
-	value: true,
-	description: 'enable wireless module: (default=true)')
 option('wizard',
 	type: 'boolean',
 	value: true,
@@ -321,3 +306,11 @@
 	type: 'boolean',
 	value: true,
 	description: 'enable conf-window-remembers module: (default=true)')
+option('gesture-recognition',
+	type: 'boolean',
+	value: true,
+	description: 'Enable gesture recognition using libinput, needed to get swipe bindings beeing detected.')
+option('procstats',
+	type: 'boolean',
+	value: true,
+	description: 'enable procstats module: (default=true)')

=== debian/changelog ===
e17 (0.25.4-2) unstable; urgency=medium

  * d/copyright: update upstream git url
  * d/control: Recommend libpam-fprintd for fingerprint support
  * d/control: bump Standards-Version, no changes needed

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 24 Dec 2022 15:10:38 -0800

e17 (0.25.4-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2022-37706: fix checks in enlightenment_sys

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 16 Sep 2022 13:41:11 -0700

=== debian/control ===
Source: e17
Section: x11
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders:
 Albin Tonnerre <lutin@debian.org>,
 Jan Lübbe <jluebbe@debian.org>,
 Ross Vandegrift <rvandegrift@debian.org>,
 Andreas Metzler <ametzler@debian.org>,
Build-Conflicts: systemctl
Build-Depends:
 bluez [linux-any],
 connman-dev,
 debhelper-compat (= 13),
 imagemagick,
 libasound2-dev,
 libbluetooth-dev,
 libecore-bin,
 libeet-bin,
 libefl-all-dev (>= 1.26.0),
 libexif-dev,
 libpam0g-dev,
 libxcb-keysyms1-dev,
 libxcb-shape0-dev,
 libxext-dev,
 libxkbcommon-x11-dev,
 meson,
 rfkill,
 systemd,
 uuid-dev,
 wayland-protocols,
 xwayland,
Build-Depends-Indep: doxygen
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/pkg-e-team/e.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/e
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: enlightenment
Architecture: any
Depends:
 default-dbus-session-bus | dbus-session-bus,
 enlightenment-data (= ${source:Version}),
 libedje-bin,
 libevas1-engines-drm,
 libevas1-engines-wayland,
 libevas1-engines-x,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 acpid,
 bc,
 bluez,
 libddcutil4 | libddcutil3,
 libevas-loaders,
 libpam-fprintd,
 packagekit,
 terminology | x-terminal-emulator,
 udisks2,
Suggests: gdb, x-display-manager
Provides: x-window-manager
Description: X11 window manager based on EFL
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains the core files for Enlightenment.

Package: enlightenment-data
Architecture: all
Depends: ${misc:Depends}
Enhances: enlightenment
Conflicts: enlightenment-data
Description: X11 window manager based on EFL - run time data files
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 These are the architecture independent runtime support files for the
 Enlightenment Window Manager.

Package: enlightenment-dev
Architecture: any
Section: devel
Depends:
 enlightenment (= ${binary:Version}),
 libefl-all-dev (>= 1.23.0),
 ${misc:Depends},
Description: Enlightenment headers, static libraries and documentation
 Enlightenment is an advanced window manager for X11. Unique
 features include: a fully animated background, nice drop shadows
 around windows, backed by an extremely clean and optimized
 foundation of APIs.
 .
 This package contains headers, static libraries and documentation for
 enlightenment.

=== debian/watch ===
version=4
opts="filenamemangle=s/.*enlightenment-/e17-/, uversionmangle=s/-/~/" \
https://download.enlightenment.org/rel/apps/enlightenment/enlightenment-@ANY_VERSION@@ARCHIVE_EXT@
